;
;   Module name      :	TestLogUtil.au3
;
;   Description      :	None
;
;   Parameters       :	None
;   Notes - usage    :	None
;


;--- Global directives -----------------------------------------------------------------------------



Opt("TrayIconDebug", 1)

Opt("MustDeclareVars", 1)
Opt("GUICloseOnESC", 0)



;--- Include files ---------------------------------------------------------------------------------



#include <DebugUtil.au3>
#include "LogUtil.au3"



;--- Global constants ------------------------------------------------------------------------------



;--- Global variables ------------------------------------------------------------------------------



global $Module_prefix = "LU"



;--- Functions code --------------------------------------------------------------------------------



func PrintFooter()
;---
; Prints the ending string.
;
; ret	nothing
;---
	DURawPrint("--- End of tests (" & @HOUR & ":" & @MIN & ":" & @SEC & ") ---" & @CR)
endfunc



func PrintHeader()
;---
; Sets the debug Notepad window and prints the title.
;
; ret	nothing
;---
	DUInit("Test file for " & eval($Module_prefix & "_FILE_NAME") & " " & eval ($Module_prefix & "_MODULE_VER"))
	DURawPrint("--- Start of tests (" & @HOUR & ":" & @MIN & ":" & @SEC & ") ---")
endfunc



;--- Main code -------------------------------------------------------------------------------------



PrintHeader()

; Test code for LogUtil.au3 starts here.

global $log = @TempDir & "\TestLogUtil.log"

#cs
FileDelete($log)
FileWriteLine($log, @HOUR & "." & @MIN & "." & @SEC)	; Create a new file
LURenWithDateTime($log)									; Rename the file as date and time contained

Sleep(1100)
FileWriteLine($log, @HOUR & "." & @MIN & "." & @SEC)	; Create a new file
LURenWithDateTime($log)									; Rename the file as date and time contained

Sleep(2100)
FileWriteLine($log, @HOUR & "." & @MIN & "." & @SEC)	; Create a new file
LURenWithDateTime($log)									; Rename the file as date and time contained

Sleep(1100)
FileWriteLine($log, @YEAR & "/" & @MON  & "/" & @MDAY & "-1")	; Create a new file
LURenWithDate($log)												; Rename the file as date contained

Sleep(2100)
FileWriteLine($log, @YEAR & "/" & @MON  & "/" & @MDAY & "-2")	; Create a new file
LURenWithDate($log)												; Overwrite previous one
#ce

#cs
FileDelete($log)										; Create a new file with 5 rows
FileWriteLine($log, "1" & @CRLF & "2" & @CRLF & "3" & @CRLF & "4" & @CRLF & "5")	
LUTail($log, 5)											; Keep all lines
#ce

#cs
FileDelete($log)										; Create a new file with 5 rows
FileWriteLine($log, "1" & @CRLF & "2" & @CRLF & "3" & @CRLF & "4" & @CRLF & "5")	
LUTail($log, 6)											; Keep more than all lines (= all lines)
#ce

#cs
FileDelete($log)										; Create a new file with 5 rows
FileWriteLine($log, "1" & @CRLF & "2" & @CRLF & "3" & @CRLF & "4" & @CRLF & "5")	
LUTail($log, 3)											; Keep 3 lines in $log and all in ".bak"
#ce

#cs
FileDelete($log)										; Create a new file with 5 rows
FileWriteLine($log, "1" & @CRLF & "2" & @CRLF & "3" & @CRLF & "4" & @CRLF & "5")	
LUTail($log, 1)											; Keep 1 line in $log and all in ".bak"
#ce

#cs
FileDelete($log)										; Create a new file with 5 rows
FileWriteLine($log, "1" & @CRLF & "2" & @CRLF & "3" & @CRLF & "4" & @CRLF & "5")	
LUTail($log, 0)											; Do not keep lines in $log and all in ".bak"
#ce

; Test code for LogUtil.au3 ends here.

PrintFooter()
